package com.dmartinez_dev.multiplicandos;

import android.content.Intent;
import android.support.v7.app.ActionBarActivity;
import android.os.Bundle;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.widget.Button;
import android.widget.CheckBox;
import android.widget.EditText;
import android.widget.Toast;

import com.google.gson.Gson;

import java.lang.reflect.Array;
import java.util.Vector;


public class DificultadActivity extends ActionBarActivity {

    public static String EXTRA_MULTIPLICANDOS = "MULTIPLICANDOS";
    public static String EXTRA_CANTIDAD_OPERACIONES = "CANTIDAD_OPERACIONES";

    private EditText editTextCantidadOperaciones;
    private CheckBox Check7;
    private CheckBox Check8;
    private CheckBox Check9;
    private CheckBox Check4;
    private CheckBox Check5;
    private CheckBox Check6;
    private CheckBox Check1;
    private CheckBox Check2;
    private CheckBox Check3;
    private Button buttonIniciar;

    private void Crear_referencias_controles()
    {
        editTextCantidadOperaciones = (EditText)findViewById( R.id.editText_cantidad_operaciones );
        Check7 = (CheckBox)findViewById( R.id.Check7 );
        Check8 = (CheckBox)findViewById( R.id.Check8 );
        Check9 = (CheckBox)findViewById( R.id.Check9 );
        Check4 = (CheckBox)findViewById( R.id.Check4 );
        Check5 = (CheckBox)findViewById( R.id.Check5 );
        Check6 = (CheckBox)findViewById( R.id.Check6 );
        Check1 = (CheckBox)findViewById( R.id.Check1 );
        Check2 = (CheckBox)findViewById( R.id.Check2 );
        Check3 = (CheckBox)findViewById( R.id.Check3 );

        buttonIniciar = (Button)findViewById( R.id.button_iniciar );
        buttonIniciar.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                Retornar_Dificultad();
            }


        });

    }

    private void Retornar_Dificultad() {
        Vector<Integer> multiplicandos = new Vector<Integer>();

        if (Check1.isChecked())
            multiplicandos.add(1);

        if (Check2.isChecked())
            multiplicandos.add(2);

        if (Check3.isChecked())
            multiplicandos.add(3);

        if (Check4.isChecked())
            multiplicandos.add(4);

        if (Check5.isChecked())
            multiplicandos.add(5);

        if (Check6.isChecked())
            multiplicandos.add(6);

        if (Check7.isChecked())
            multiplicandos.add(7);

        if (Check8.isChecked())
            multiplicandos.add(8);

        if (Check9.isChecked())
            multiplicandos.add(9);

        //Leemos la cantidad de operaciones
        int cantidad_operaciones = 0;
        try {
            cantidad_operaciones = Integer.parseInt(editTextCantidadOperaciones.getText().toString());
        } catch (NumberFormatException error) {
            Toast.makeText(getApplicationContext(), "No se pudo leer el contenido de cantidad de operaciones como numero entero", Toast.LENGTH_LONG).show();
            return; //Cancelamos el procedimiento
        }

        if (multiplicandos.size() == 0) {
            Toast.makeText(getApplicationContext(), "No se ha elegido multiplicandos para iniciar", Toast.LENGTH_LONG).show();
            return; //Cancelamos el procedimiento
        }

        if (cantidad_operaciones <= 0) {
            Toast.makeText(getApplicationContext(), "La cantidad de operaciones debe de ser mayor a 0", Toast.LENGTH_LONG).show();
            return; //Cancelamos el procedimiento
        }


        //Si llegamos a este punto significa que tenemos el arreglo de multiplicandos a usar
        //Serializamos el vector como una cadena Json
        Gson gson = new Gson();
        String multiplicandos_string = gson.toJson(multiplicandos);

        //Pasamos a la siguiente activity como extra la informacion que necesita
        Intent i = getIntent();
        i.putExtra(EXTRA_MULTIPLICANDOS, multiplicandos_string);
        i.putExtra(EXTRA_CANTIDAD_OPERACIONES, cantidad_operaciones);


        this.setResult(RESULT_OK, i);
        finish();
    }

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_dificultad);
        Crear_referencias_controles();
    }

}
