package com.dmartinez_dev.multiplicandos;

import android.content.DialogInterface;
import android.content.Intent;
import android.support.v7.app.ActionBarActivity;
import android.os.Bundle;
import android.support.v7.app.AlertDialog;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.widget.Button;


public class MainActivity extends ActionBarActivity implements View.OnClickListener {

    public static int DIFICULTAD_REQUEST_CODE = 1010;

    private Button buttonIniciar;
    private Button buttonConfigurar;
    private Button buttonAcercaDe;


    private void Crear_Referncia_Controles() {
        buttonIniciar = (Button) findViewById(R.id.button_iniciar);
        buttonAcercaDe = (Button) findViewById(R.id.button_acerca_de);

        buttonIniciar.setOnClickListener(this);
        buttonAcercaDe.setOnClickListener(this);
    }

    @Override
    public void onClick(View v) {
        if (v == buttonIniciar) {
            Intent i = new Intent(getApplicationContext(), DificultadActivity.class);
            startActivityForResult(i, DIFICULTAD_REQUEST_CODE);
        } else if (v == buttonAcercaDe) {
            Crear_Dialogo_Acerca_De();
        }
    }

    public void Crear_Dialogo_Acerca_De() {
        // Use the Builder class for convenient dialog construction
        final AlertDialog.Builder builder = new AlertDialog.Builder(this);
        builder.setTitle("Multiplicandos");
        builder.setMessage("Sencillo simulador de ejercicios de multiplicaciones desarrollado por: Douglas Alejandro Martinez Flores\n\nANDROID: FUNDAMENTOS DE PROGRAMACION")
                .setPositiveButton("Salir", new DialogInterface.OnClickListener() {
                    public void onClick(DialogInterface dialog, int id) {
                        dialog.dismiss();
                    }
                });


        // Create the AlertDialog object and return it
        AlertDialog dialogo = builder.create();
        dialogo.show();
    }


    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        Crear_Referncia_Controles();
    }

    @Override
    protected void onActivityResult(int requestCode, int resultCode, Intent data) {
        super.onActivityResult(requestCode, resultCode, data);

        if (requestCode == DIFICULTAD_REQUEST_CODE) {

            if (resultCode == RESULT_OK) {
                Intent i = new Intent(getApplicationContext(), OperacionActivity.class);
                i.putExtra(DificultadActivity.EXTRA_MULTIPLICANDOS, data.getStringExtra(DificultadActivity.EXTRA_MULTIPLICANDOS));
                i.putExtra(DificultadActivity.EXTRA_CANTIDAD_OPERACIONES, data.getIntExtra(DificultadActivity.EXTRA_CANTIDAD_OPERACIONES, 1));
                startActivity(i);
            }

        }
    }
}
